package com.glxp.mipsdl.admin.config;

import com.glxp.mipsdl.admin.dao.basic.BasicThirdSysDao;
import com.glxp.mipsdl.admin.entity.basic.BasicThirdSysEntity;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import javax.annotation.Resource;

@Slf4j
@Configuration
public class ThirdSysConfig {

    @Value("${THIRD_ID}")
    private String thirdSys;

    @Resource
    private BasicThirdSysDao basicThirdSysDao;

    public BasicThirdSysEntity getThirdSysConfig() {
        return basicThirdSysDao.selectByThirdId(thirdSys);
    }

}
