package com.glxp.mipsdl.admin.constant;

/**
 * 出入库单据校验状态
 */
public class ConstantStatus {

    //订单状态
    public static final Integer ORDER_STATUS_TEMP_SAVE = -1;   //等待提交
    public static final Integer ORDER_STATUS_PROCESS = 1;   //等待处理
    public static final Integer ORDER_STATUS_CHECK = 2;     //等待校验
    public static final Integer ORDER_STATUS_FAIL = 3;      //重码校验失败
    public static final Integer ORDER_STATUS_SUCCESS = 4;   //已校验
    public static final Integer ORDER_STATUS_ADDITIONAL = 5;    //补录单据
    public static final Integer ORDER_STATUS_DOING = 6;

    //ERP校验状态
    public static final Integer ORDER_CHECK_SUCCESS = 2;    //校验成功
    public static final Integer ORDER_CHECK_FAIL = 1;       //校验失败
    public static final Integer ORDER_CHECK_UN = 0;       //未校验

    //ERP订单上传状态
    public static final Integer ORDER_EXPORT_UN = 0;    //未导出
    public static final Integer ORDER_EXPORT_ED = 1;    //已导出
    public static final Integer ORDER_EXPORT_FAIL = 2;    //导出失败

    //ERP订单签字状态
    public static final Integer ORDER_SIGN_UN = 0;    //未签字
    public static final Integer ORDER_SIGN_ED = 1;    //已签字
    public static final Integer ORDER_SIGN_FAIL = 2;    //签字失败


    //UDI产品信息表字段类型
    public static final Integer PRODUCT_TYPE_UDI = 0;
    public static final Integer PRODUCT_TYPE_THIRD = 1;

    //DI类型
    public static final Integer DI_TYPE_MAIN = 1;//主标识
    public static final Integer DI_TYPE_SYDY = 2;//使用单元
    public static final Integer DI_TYPE_BTBS = 3;//本体标识
    public static final Integer DI_TYPE_BZBS = 4;//包装标识


    //业务单据状态
    public static String SORDER_DRAFT = "1";//草稿
    public static String SORDER_ALLOC = "2";//未配货
    public static String SORDER_CHECK = "3";//待校验
    public static String SORDER_CHECKED = "4";//已校验
    public static String SORDER_DELIVER = "5";//已送货

    public static final int RECEIVE_UN = 0; //未验收
    public static final int RECEIVE_ED = 1; //已验收
    public static final int RECEIVE_NOT = 2;//不需要验收


    public static String SORDER_PRINT_UN = "101";//101：未打印，102：已打印
    public static String SORDER_PRINT_ED = "102";//


    //业务单据来源
    public static String ST_WEB_ADD = "1";      //前端新增
    public static String ST_THIRD_SEL = "2";    //第三方选入
    public static String ST_SCAN_ADD = "3";     //扫码单据转换

    //业务单据详情，DI绑定状态
    public static int ORDER_DETAIL_DI_NONE = 2;
    public static int ORDER_DETAIL_DI_MUTI = 1;
    public static int ORDER_DETAIL_DI_ONE = 0;

    //业务单据来源
    public static final int SORDER_FROM_ONLINE = 2;     //在线实时拉取第三方业务单据
    public static final int SORDER_FROM_CACHE = 0;      //本地缓存第三方业务单据
    public static final int SORDER_FROM_LOCAL = 1;      //本地生成业务单据

    //业务单据详情，DI绑定供应商状态
    public static int ORDER_DETAIL_SUP_NONE = 2;
    public static int ORDER_DETAIL_SUP_MUTI = 1;
    public static int ORDER_DETAIL_SUP_ONE = 0;


    //采购类型
    public static final Integer PRUCHASE_ADVANCE = 1;   //预入库
    public static final Integer PRUCHASE_COMMON = 2;    //普通采购


    //往来单位类型
    public static final int CORP_SICK = 1;          //病人
    public static final int CORP_SP = 2;            //供应商
    public static final int CORP_INTTERNAL = 3;     //内部科室等
    public static final int CORP_SPECIAL = 4;     //内部科室等


    //往来信息类型-单据
    public static final int CORP_TYPE_INPUT = 2;          //客户
    public static final int CORP_TYPE_OUT = 0;            //供应商
    public static final int CORP_TYPE_INNOR = 1;     //内部科室等
    public static final int CORP_TYPE_SPECIAL = 3;


    public static final int CORP_SICK_SICK = 1;
    public static final int CORP_SICK_CUS = 2;

    //单据来源
    public static final int FROM_UDIMS = 1;     //1.UDIMS平台
    public static final int FROM_WEBNEW = 2;    //网页新增
    public static final int FROM_PDAED = 3;     //pda已校验
    public static final int FROM_PDAUN = 4;     //pda未校验
    public static final int FROM_PC = 5;        //pc端扫码精灵
    public static final int FROM_CHANGE = 6;       //单据流转
    public static final int FROM_UDISP = 7;      //供应商平台
    public static final int FROM_PEACE_CHANGE = 8;       //平衡补单


    //DI类型
    public static final int DITYPE_MAIN = 1;        //主标识
    public static final int DITYPE_SYDY = 2;        //使用单元标识
    public static final int DITYPE_OWN = 3;         //本体标识
    public static final int DITYPE_PACK = 4;        //包装标识

    //流转单据类型
    public static final int ORDER_CHANGE_NORMAL_IN = 1;             //补采购入库
    public static final int ORDER_CHANGE_NORMAL_ADV_IN = 2;         //补寄售转入
    public static final int ORDER_CHANGE_ADVANCE_IN = 3;            //补寄售入库
    public static final int ORDER_CHANGE_ADVANCE_OUT = 4;           //补寄售出库
    public static final int ORDER_CHANGE_INNOR_NORMAL_IN = 5;             //补调拨入库


    public static final String SYNC_BASIC_DATA = "AutoUploadAllData";
    public static final String SYNC_BUS_TYPE = "AutoUploadBusType";
    public static final String SYNC_SCAN_ORDER = "AutoUploadOrder";

    //自动下载所有数据
    public static final String SYNC_DOWNLOAD_BASIC_DATA = "AutoDownloadAllData";
    //自动下载单据数据
    public static final String SYNC_DOWNLOAD_BUS_TYPE = "AutoDownloadBusType";
    //自动下载单据数据
    public static final String SYNC_DOWNLOAD_SCAN_ORDER = "AutoDownloadOrder";
    //自动下载DI数据
    public static final String SYNC_DOWNLOAD_DI_PRODUCTS = "AutoDownloadDiProducts";

    public static final int SYNC_STATUS_SUCCESS = 1;       //处理成功
    public static final int SYNC_STATUS_FAIL = 2;       //处理失败
    public static final int SYNC_STATUS_WAIT = 0;       //等待处理

    public static final int THIRD_ORDER_UPLOAD = 1;     //业务单据上传至第三方
    public static final int THIRD_ORDER_RECEIVE = 2;    //接收第三方上传扫码单据
}
