package com.glxp.mipsdl.admin.entity.business;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class StockOrderEntity {
    private String id;
    private String billNo;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String billdate;
    private String corpId;
    private String corpName;
    private String billType;
    private String billFlag;
    private String thirdSysFk;
    private String status;
    private String statusInfo;
    private String type;
    private String sourceType;
    private String printStatus;
    private String unitIdFk;
    private String customerId;
    private String thirdOrderFk;
    private String orderIdFk;
    private BigDecimal totalPrice;
    private String locStorageCode;
    private String invWarehouseCode;
    private String fromSubInvCode;
    private String fromSubInvName;
    //补单单号
    private String supplementNo;

    private Integer createUser;
    private Integer reviewUser;

    //审核时间
    private Date auditTime;
    //更新时间
    private Date updateTime;
    //委托验收已完成
    private boolean entrustEnd;


    private String billTypeName;
    private String subInvName;
    private String invName;
}
