package com.glxp.mipsdl.admin.entity.inout;

import lombok.Data;

@Data
public class WarehouseEntity {
    private Long id;
    private String action;
    private String mainAction;
    private String code;
    private String corpOrderId;
    private String actor;
    private String actDate;
    private String fromCorpId;
    private String fromCorp;
    private String orderId;
    private String batchNo;
    private String produceDate;
    private String expireDate;
    private String serialNo;
    private Integer count;
    private String packageLevel;
    private String warehouseCode;

    private String customerId;
    private String nameCode;
    private Integer sCount;
    private String supId;//供应商ID
    private String supName;
    private String invStorageCode;
    private String invWarehouseCode;
    private String relId;
    private Integer status;
    private String locStorageCode;
    private String fromSubInvCode;

    private String mySupId;

    public String getSupId() {

        if (supId == null) {
            return null;
        } else if (supId.equals(""))
            return null;
        return supId;
    }

    public Integer getCount() {

        if (count == null) {
            return 1;
        }
        if (count == 0)
            return 1;
        return count;
    }
}
