package com.glxp.mipsdl.admin.entity.thrsys;

import lombok.Data;

import java.util.Date;

/**
 * 第三方仓库信息
 */
@Data
public class ThrInvWarehouseEntity {

    private Integer id;
    private Integer pid;
    private String code;
    private String name;
    private Boolean advanceType;
    private Boolean isDefault;
    private Integer status;
    private Date updateTime;
    private String remark;

    /**
     * 仓库等级
     */
    private Integer level;

    /**
     * 父级仓库编码
     */
    private String pcode;

    /**
     * 第三方系统标识
     */
    private String thirdSysFk;
}