package com.glxp.mipsdl.admin.req;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class ZaxzyyOrderRequest {


    private String billNo;    //单据号
    private String billFlag;       //单据状态,0.未签字，1.已签字
    private Integer inoutType; //出入库类型 1.入库 2.出库
    private String billDate; //单据日期
    private String billType;   //单据类型
    private String remark; //备注
    private String corpId; //第三方单据往来单位ID
    private String corpName; //往来单位
    private String locInvCode;
    private String locInvName;
    private String thirdSys;
    private String actor;

    private String id;
    private String thirdSysFk;
    private String status;
    private String statusInfo;
    private String type;
    private String sourceType;
    private String printStatus;
    private String unitIdFk;
    private String customerId;
    private String thirdOrderFk;
    private String orderIdFk;
    private BigDecimal totalPrice;
    private String locStorageCode;
    private String locStorageName;
    private String invWarehouseCode;
    private String fromSubInvCode;
    private String fromSubInvName;
    //补单单号
    private String supplementNo;

    private Integer createUser;
    private Integer reviewUser;

    //审核时间
    private Date auditTime;
    //更新时间
    private Date updateTime;
    //委托验收已完成
    private boolean entrustEnd;


    private String billTypeName;
    private String subInvName;
    private String invName;
    private List<UdiwmsOrderDetail> item; //单据详情数组

}
