package com.glxp.mipsdl.admin.service.pzhzd;

import com.glxp.mipsdl.admin.dao.yyu8v31.InvErpStockDao;
import com.glxp.mipsdl.admin.entity.yyu8v31.ErpStockEntity;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class InvErpStockServiceImpl implements InvErpStockService {

    @Resource
    InvErpStockDao erpStockDao;

    @Override
    public ErpStockEntity findByCode(String nameCode, String batchNo) {
        return erpStockDao.findByCode(nameCode, batchNo);
    }

    @Override
    public boolean insertErpStock(ErpStockEntity erpStockEntity) {
        return erpStockDao.insertErpStock(erpStockEntity);
    }

    @Override
    public boolean insertErpStocks(List<ErpStockEntity> erpStockEntities) {
        return erpStockDao.insertErpStocks(erpStockEntities);
    }

    @Override
    public boolean updateErpStock(ErpStockEntity erpStockEntity) {
        return erpStockDao.updateErpStock(erpStockEntity);
    }

    @Override
    public boolean deleteById(String id) {
        return erpStockDao.deleteById(id);
    }
}
