package com.glxp.mipsdl.admin.thread.system;

import com.glxp.mipsdl.admin.http.UdiwmsClient;
import com.glxp.mipsdl.admin.req.system.PostFileThrOrderRequest;
import com.glxp.mipsdl.admin.req.system.PostThrCorpRequest;
import com.glxp.mipsdl.admin.req.system.PostThrInvProductsRequest;
import com.glxp.mipsdl.admin.req.system.PostThrProductsRequest;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class UdiInfoUploadService {

    @Resource
    UdiwmsClient udiwmsClient;

    @Async
    public void postProducts(PostThrProductsRequest postThrProductsRequest) {
        udiwmsClient.postProducts(postThrProductsRequest);
    }


    @Async
    public void postCorps(PostThrCorpRequest postThrCorpRequest) {
        udiwmsClient.postCorps(postThrCorpRequest);
    }


    @Async
    public void postInvPi(PostThrInvProductsRequest postThrInvProductsRequest) {
        udiwmsClient.postInvProducts(postThrInvProductsRequest);
    }


    @Async
    public void postOrders(PostFileThrOrderRequest postFileThrOrderRequest) {
        udiwmsClient.postOrderDetail(postFileThrOrderRequest);
    }
}
