package com.glxp.mipsdl.admin.util;

import java.util.*;

public class CustomUtil {

    public static String getUUId() {
        UUID uuid = UUID.randomUUID();
        return uuid.toString().replace("-", "");
    }

    //随机生成ID
    public static String getId() {
        String id = System.currentTimeMillis() + "";
        int number = new Random().nextInt(90) + 10;
        id = id + number;
        return id.substring(4);
    }

    //随机生成往来单位ID
    public static String getUnitId() {
        String id = System.currentTimeMillis() + "";
        int number = new Random().nextInt(90) + 10;
        id = id + number;
        return "HZ" + id.substring(4);
    }

    public static <T> List<List<T>> splitList(List<T> list, int len) {

        if (list == null || list.isEmpty() || len < 1) {
            return Collections.emptyList();
        }

        List<List<T>> result = new ArrayList<>();

        int size = list.size();
        int count = (size + len - 1) / len;

        for (int i = 0; i < count; i++) {
            List<T> subList = list.subList(i * len, ((i + 1) * len > size ? size : len * (i + 1)));
            result.add(subList);
        }

        return result;
    }
}
