package com.glxp.mipsdl.admin;

import com.glxp.mipsdl.admin.client.http.ZaxyyXmlClient;
import com.glxp.mipsdl.admin.http.UHttpUtils;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.junit.Test;

import javax.annotation.Resource;

public class JsonTest {

    @Test
    public void teS() {
        String json1 = "{\\\"invspec\\\":\\\"\\\\\\\\\\\",\\\"invtype\\\":\\\"国械注准20163461377\\\"}";
        String json = "{\\\"invname\\\":\\\"Glucose Oxidase\\\\\\\"Amano\\\\\\\" 2\\\"}";
        System.out.println(json1);
        System.out.println(UHttpUtils.formatResponse(json1));


        String test = "<root><code>AE</code><data /><message>{\n" +
                "  \"code\" : 500,\n" +
                "  \"message\" : \"已存在单据号MY202207180167的预备货记录\",\n" +
                "  \"data\" : \"\"\n" +
                "}</message><error>AE</error><requestId></requestId><processResultCode>AE</processResultCode><processResult>{\n" +
                "  \"code\" : 500,\n" +
                "  \"message\" : \"已存在单据号MY202207180167的预备货记录\",\n" +
                "  \"data\" : \"\"\n" +
                "}</processResult></root>";

        if (test.contains("<root")) {
            try {
                Document document = DocumentHelper.parseText(test);
                String message = document.getRootElement().element("message").getText();
                System.out.println(message);
            } catch (DocumentException e) {
                e.printStackTrace();
            }
        }
    }

    @Resource
    ZaxyyXmlClient xmlClient;

    @Test
    public void teS1() {
        xmlClient.testWebservice();
    }
}
