package com.glxp.mipsdl.admin.entity.business;

import lombok.Data;

import java.util.Date;

/**
 * 业务单据上传日志
 */
@Data
public class StockOrderUploadLogEntity {

    private Long id;

    /**
     * 单据号
     */
    private String billNo;

    /**
     * 单据日期
     */
    private Date billDate;

    /**
     * 单据类型
     */
    private String billType;

    /**
     * 第三方单据号
     */
    private String thrBillNo;

    /**
     * 提交时间
     */
    private Date submitTime;

    /**
     * 提交状态 0.未提交 1.正在处理 2.已提交 3.提交失败
     */
    private Integer status;

    /**
     * 结果信息
     */
    private String result;

    private String billTypeName;

    private Integer fromType;
    private String uploadData;

}
