package com.glxp.mipsdl.admin.req;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class UdiwmsOrderDetail {
    private String productId; //产品编码
    private String productName; //产品名称
    private BigDecimal price; //单价
    private String batchNo; //批次号
    private String expireDate;  //失效日期
    private String productDate; //生产日期
    private String standard; //规格型号
    private String billNo; //单据号
    private String secSalesInvNo;//销售发票号（第二票）
    private String invoiceDate;//发票日期
    private String secSalesListNo; //第二票销售清单号
    private String firstSalesInvNo; //销售发票号（第一票）
    private String registerNo; //注册/备案证号
    private String manufactory; //生产厂家
    private String measname;//计量单位
    private Integer count; //数量
    private String remark; //备注
    private String remark1; //备注1/规格型号ID
    private String remark2; //备注2/型号
    private String remark3; //备注3/规格

    private boolean allowNoBatch;
    private String code;
    private String serialNo;

    private List<CodeDetaiEntity> codeList;

    public static class CodeDetaiEntity {
        private String code;
        private String nameCode;
        private Integer count;

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getNameCode() {
            return nameCode;
        }

        public void setNameCode(String nameCode) {
            this.nameCode = nameCode;
        }

        public Integer getCount() {
            return count;
        }

        public void setCount(Integer count) {
            this.count = count;
        }
    }


}
