package com.glxp.mipsdl.admin.req;

import lombok.Data;

import java.util.List;

@Data
public class UdiwmsOrderRequest {

    private String id; //业务单据ID

    private String startDate;  //起始日期
    private String endDate;       //结束日期
    private String billNo;    //单据号
    private String billFlag;       //单据状态,0.未签字，1.已签字
    private String billAction;
    private String action;
    private Integer limit;
    private Integer page;
    private Integer inoutType;

    private String billDate; //单据日期
    private String billType;   //单据类型
    private String billName;   //单据类型
    private Integer createUser;
    private Integer reviewUser;
    private String remark; //备注
    private String address; //地址
    private String linkMan; //联系人
    private String linkTel; //电话
    private String corpId; //第三方单据往来单位ID
    private String corpName; //往来单位
    private String detailCode; //明细编码
    private String thirdSys; //第三方系统ID
    private String status; //单据状态
    private String locInvCode;
    private String locInvName;
    private String locStorageCode;
    private String actor;
    private String locStorageName;
    private List<UdiwmsOrderDetail> item; //单据详情数组

}
