package com.glxp.mipsdl.admin.service.phxyy.impl;

import cn.hutool.core.collection.CollUtil;
import com.glxp.mipsdl.admin.dao.basic.BasicThirdSysBusApiDao;
import com.glxp.mipsdl.admin.entity.phxyy.BasicThirdSysBusApiEntity;
import com.glxp.mipsdl.admin.req.phxyy.FilterBusTypeRequest;
import com.glxp.mipsdl.admin.service.phxyy.BasicThirdSysBusApiService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class BasicThirdSysBusApiServiceImpl implements BasicThirdSysBusApiService {

    @Resource
    BasicThirdSysBusApiDao basicThirdSysBusApiDao;

    @Override
    public boolean insertSysBusApi(BasicThirdSysBusApiEntity basicThirdSysEntity) {
        return basicThirdSysBusApiDao.insertSysBusApi(basicThirdSysEntity);
    }

    @Override
    public boolean updateSysBusApi(BasicThirdSysBusApiEntity basicThirdSysEntity) {
        return basicThirdSysBusApiDao.updateSysBusApi(basicThirdSysEntity);
    }

    @Override
    public BasicThirdSysBusApiEntity selectByKey(String key, String thirdSys,Integer type) {
        FilterBusTypeRequest filterBasicThirdSysDetailRequest = new FilterBusTypeRequest();
        filterBasicThirdSysDetailRequest.setThirdSysFk(thirdSys);
        filterBasicThirdSysDetailRequest.setKey(key);
        filterBasicThirdSysDetailRequest.setType(type);
        List<BasicThirdSysBusApiEntity> basicThirdSysBusApiEntities = basicThirdSysBusApiDao.filterSysBusApi(filterBasicThirdSysDetailRequest);
        if (CollUtil.isNotEmpty(basicThirdSysBusApiEntities)) {
            return basicThirdSysBusApiEntities.get(0);
        }
        return null;
    }

    @Override
    public List<BasicThirdSysBusApiEntity> filterSysBusApi(FilterBusTypeRequest filterBasicThirdSysDetailRequest) {
        return basicThirdSysBusApiDao.filterSysBusApi(filterBasicThirdSysDetailRequest);
    }
}
