package com.glxp.mipsdl.admin.service.phxyy.impl;

import cn.hutool.core.collection.CollUtil;
import com.glxp.mipsdl.admin.dao.phxyy.BussinessOriginTypeDao;
import com.glxp.mipsdl.admin.req.phxyy.BussinessOriginTypeFilterRequest;
import com.glxp.mipsdl.admin.res.phxyy.BussinessOriginTypeResponse;
import com.glxp.mipsdl.admin.service.phxyy.BussinessOriginTypeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
@Service
public class BussinessOriginTypeServiceImpl implements BussinessOriginTypeService {


    @Resource
    BussinessOriginTypeDao bussinessOriginTypeDao;

    @Override
    public List<BussinessOriginTypeResponse> filterJoinList(BussinessOriginTypeFilterRequest bussinessOriginTypeFilterRequest) {



        List<BussinessOriginTypeResponse> bussinessOriginTypeResponseList = bussinessOriginTypeDao.filterJoinList(bussinessOriginTypeFilterRequest);

        return bussinessOriginTypeResponseList;
    }

    @Override
    public BussinessOriginTypeResponse findByKey(String billType, String thirdSys) {
        BussinessOriginTypeFilterRequest bussinessOriginTypeFilterRequest = new BussinessOriginTypeFilterRequest();
        bussinessOriginTypeFilterRequest.setAction(billType);
        bussinessOriginTypeFilterRequest.setThirdSys(thirdSys);
        List<BussinessOriginTypeResponse> bussinessOriginTypeResponseList = bussinessOriginTypeDao.filterJoinList(bussinessOriginTypeFilterRequest);
        if (CollUtil.isNotEmpty(bussinessOriginTypeResponseList)) {

            return bussinessOriginTypeResponseList.get(0);
        }
        return null;
    }
}
